All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
enable_if.hpp File Reference

Simple enable-if variant that uses the SFINAE pattern. More...

Go to the source code of this file.

## Classes

struct | viennacl::enable_if< b, T >
| Simple enable-if variant that uses the SFINAE pattern. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.

## Detailed Description

Simple enable-if variant that uses the SFINAE pattern.

Definition in file enable_if.hpp.